Skip to main content
PATCH
/
v1
/
admin
/
tenants
/
{id}
/
users
/
{userId}
Update user role
curl --request PATCH \
  --url http://co-mind-platform-host/v1/admin/tenants/{id}/users/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "<string>"
}
'
{
  "userId": "<string>",
  "email": "<string>",
  "name": "<string>",
  "role": "<string>",
  "joined_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Supports two token types:

  • JWT Access Token — obtained via POST /v1/auth/login
  • Personal Access Token (PAT) — created via POST /v1/api-tokens, format: cmnd_<tokenId>.<secret>

Path Parameters

id
string
required

The tenant ID

userId
string
required

The user ID

Body

application/json
role
string
required

Response

User role updated

userId
string
email
string
name
string
role
string
joined_at
string<date-time>